编辑发货单
POST
/erp/sc/routing/storage/shipment/updateInboundShipmentListMws接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/shipment/updateInboundShipmentListMws | HTTPS | POST | 1 |
请求参数
shipment_snstring必填remarkstringitemsarray<object>隐藏子属性
idintegernumstringbox_typestringbox_listarray<object>隐藏子属性
box_numnumber必填cg_box_lengthnumber必填cg_box_widthnumber必填cg_box_heightnumber必填cg_box_weightnumber必填box_skusarray<object>必填隐藏子属性
item_idnumber必填quantity_in_casenumber必填box_nosarray<any>请求示例
{
"shipment_sn": "SP230815002",
"remark": "备注内容",
"items": [{
"id": "40985",
"num": "2"
}],
"box_type": "MULTIPLE",
"box_list": [{
"box_num": 1,
"cg_box_length": 2,
"cg_box_width": 3,
"cg_box_height": 2,
"cg_box_weight": 3.33,
"box_skus": [{
"item_id": 60559,
"quantity_in_case": 1
}],
"box_nos": ["FBAxx01"]
}]
}
返回结果
Json Object
codenumber必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<any>必填totalnumber必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "107DEE19-E3DD-E6C6-F63D-EB8FF2D92327",
"response_time": "2024-10-17 14:51:53",
"data": [],
"total": 0
}
返回失败示例
{
"code": 1000,
"message": "业务处理失败",
"error_details": [
"发货单SP24101600不存在或已删除"
],
"request_id": "4ECEB7CF-5B32-6CEA-E6F6-32B34EF38E47",
"response_time": "2024-10-17 14:57:43",
"data": [],
"total": 0
}